Bug Tracker – Bug 288

Too fast sprite frameswitching

Last modified: 2008-06-18 12:43:03 UTC
Bug 288 - Too fast sprite frameswitching
Summary: Too fast sprite frameswitching
Status: RESOLVED FIXED
Alias: None
Product: Odamex
Classification: Unclassified
Component: Client (show other bugs)
Version: (old) 0.x Alpha
Hardware: x86 (Windows, Linux, etc) All
: P2 normal
Assignee: Denis Lukianov
URL:
Depends on:
Blocks: 424
  Show dependency tree
 
Reported: 2007-01-21 07:16 UTC by user'ok
Modified: 2008-06-18 12:43 UTC (History)
2 users (show)

See Also:

Attachments

Add an attachment (proposed patch, testcase, etc.)

Note You need to log in before you can comment on or make changes to this bug.
Description user'ok 2007-01-21 07:16:39 UTC
The frames of sprites are switched with absolute speed. This bugs out to big frameskip and the sprite just starts "teleporting" over map when moving.
Comment 1 Denis Lukianov 2007-01-21 10:45:39 UTC
please clarify, is this for player sprites?
Comment 2 user'ok 2007-01-22 09:17:10 UTC
only for player, but monsters lag a bit too.
well im not sure is it too fast frameswitching, but looks like that. maybe renderer lag...
Comment 3 Denis Lukianov 2007-01-24 17:30:35 UTC
fixed r94, please test
Comment 4 Russell Rice 2008-06-07 05:04:42 UTC
Looks good to me
Comment 5 Mike Lightner 2008-06-18 12:43:03 UTC
Marking fixed.